List all indexers
curl --request GET \
--url https://api.quiva.ai/storage/indexers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/storage/indexers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/storage/indexers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"results": [
{
"name": "users-index",
"description": "Full-text search index for user profiles",
"subjects": [
"users.profiles.*"
],
"index_config": {
"mappings": [
{
"field": "name",
"field_type": "text"
},
{
"field": "email",
"field_type": "keyword"
},
{
"field": "age",
"field_type": "number"
},
{
"field": "created_at",
"field_type": "date"
},
{
"field": "active",
"field_type": "boolean"
}
],
"engine": "bleve",
"idBy": "user_id",
"partitions": 4,
"version": 1
}
},
{
"name": "products-index",
"description": "Product catalog search index",
"subjects": [
"products.*"
],
"index_config": {
"mappings": [
{
"field": "name",
"field_type": "text"
},
{
"field": "description",
"field_type": "text"
},
{
"field": "price",
"field_type": "number"
},
{
"field": "category",
"field_type": "keyword"
},
{
"field": "in_stock",
"field_type": "boolean"
}
],
"engine": "bleve",
"idBy": "product_id",
"partitions": 2,
"version": 1
}
},
{
"name": "logs-index",
"description": "System logs search index",
"subjects": [
"logs.system.*",
"logs.app.*"
],
"index_config": {
"mappings": [
{
"field": "message",
"field_type": "text"
},
{
"field": "level",
"field_type": "keyword"
},
{
"field": "service",
"field_type": "keyword"
},
{
"field": "timestamp",
"field_type": "date"
}
],
"engine": "bleve",
"idBy": "log_id",
"partitions": 8,
"version": 2
}
}
],
"results_total": 3
},
"metadata": {
"duration": "15ms"
}
}Indexers
List all indexers
Retrieves a list of all indexers
GET
/
storage
/
indexers
List all indexers
⌘I